﻿using System.Collections.ObjectModel;

namespace TestBindingError
{
    public class AppViewModel:ViewModelBase
    {
        private ObservableCollection<PersonViewModel> persons;
        private PersonViewModel person;
 
        public ObservableCollection<PersonViewModel> Persons
        {
            get
            {
                return persons;
            }
            set
            {
                persons = value;
                OnPropertyChanged("Persons");
            }
        }

        public PersonViewModel SelectedPerson
        {
            get
            {
                return person;
            }
            set
            {
                person = value;
                OnPropertyChanged("SelectedPerson");
            }
        }
    }
}
